remove patches directory

Signed-off-by: Davide Madrisan <davide.madrisan@gmail.com>
This commit is contained in:
Davide Madrisan 2011-12-28 23:49:59 +01:00
parent 7fee400448
commit 6b90a4e394
40 changed files with 0 additions and 1721 deletions

View File

@ -1,3 +0,0 @@
[Dolphin]
Timestamp=2010,5,12,21,50,33
ViewMode=1

View File

@ -1,21 +0,0 @@
diff -Nru autospec-1.7.3.orig//plugins/pck-update.in autospec-1.7.3/plugins/pck-update.in
--- autospec-1.7.3.orig//plugins/pck-update.in 2011-01-09 18:13:09.000000000 +0100
+++ autospec-1.7.3/plugins/pck-update.in 2011-03-23 19:54:56.180218040 +0100
@@ -2366,13 +2366,13 @@
if [ ! -e $solibpath -a "${solibpath:0:5}" = "/lib/" ]; then
solibpath="/usr$solibpath"
fi
- buildreq=`rpm -qf $solibpath 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"`
- if [ ! "$buildreq" ]; then
+ eval buildreq=`rpm -qf $solibpath 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"` 2>/dev/null
+ if [ ! "$buildreq" -o $? -ne 0 ]; then
# let's try removing version extension in libname
# (eg. liblber-2.2.so => liblber.so)
solibpath=`echo $solibpath | sed "s|-[0-9.]*\.so|.so|"`
- buildreq=`rpm -qf $solibpath 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"`
- [ ! "$buildreq" ] && echo "#$req: .so link not found" >> $frequires
+ eval buildreq=`rpm -qf $solibpath 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"` 2>/dev/null
+ [ ! "$buildreq" -o $? -ne 0 ] && echo "#$req: .so link not found" >> $frequires
fi
else
echo "\

View File

@ -1,11 +0,0 @@
--- /usr/share/autospec/plugins/pck-update.orig 2008-10-02 10:20:52.000000000 +0200
+++ /usr/share/autospec/plugins/pck-update 2008-09-26 18:19:05.000000000 +0200
@@ -368,7 +368,7 @@
notify.note " * "$"running test"" $arg (%find_lang)..."
# FIXME : the test should perhaps be improved...
- grep -q "^[ ]*[^# ]*/locale/" $specfile || continue
+ grep -q "^[ ]*[^# ]*/share/locale/" $specfile || continue
notify.error $"\
"$"localization files must be packaged via \`%find_lang'""${NORM}

View File

@ -1,50 +0,0 @@
--- pck-update 2010-03-07 17:26:00.653388973 +0100
+++ /usr/bin/pck-update 2010-03-07 17:25:45.000000000 +0100
@@ -2117,12 +2117,12 @@
done
local rpmbuild_opts="\
- --define \"%_srcrpmdir $srpms_dir\" \
- --define \"%_rpmdir $rpms_dir\" \
- --define \"%_specdir $spec_dir\" \
- --define \"%_sourcedir $source_dir\" \
- --define \"%_builddir $build_dir\" \
- --define \"%_tmppath $tmppath_dir\""
+ --define=\"%_srcrpmdir $srpms_dir\" \
+ --define=\"%_rpmdir $rpms_dir\" \
+ --define=\"%_specdir $spec_dir\" \
+ --define=\"%_sourcedir $source_dir\" \
+ --define=\"%_builddir $build_dir\" \
+ --define=\"%_tmppath $tmppath_dir\""
# check if we are cross-compiling
[ "$BUILD_ARCH" != "$target_cpu" ] &&
@@ -2130,20 +2130,21 @@
[ "$cleanup" = "1" ] && rpmbuild_opts="$rpmbuild_opts --clean"
+ local rpmdefine_opts="\
+$(for i in `seq 1 1 ${#define_list_name[*]}`; do
+echo -n " --define=\"${define_list_name[$i-1]} ${define_list_value[$i-1]}\""
+done)"
+ notify.debug "rpmdefine_opts = \"$rpmdefine_opts\""
+
# note: exit with error when build requirements are missing
notify.note "${NOTE}"$"testing out specfile""${NORM}..."
- rpmbuild --nobuild --define "%_sourcedir $source_dir" \
- $spec_dir/$SRPM_SPECFILE 2>&1 ||
+ eval "\
+rpmbuild --nobuild $rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1" ||
notify.error $"rpmbuild exited with error code \`$?'"
notify.debug "define_list_name = (${define_list_name[*]})"
notify.debug "define_list_value = (${define_list_value[*]})"
- local rpmdefine_opts="\
-$(for i in `seq 1 1 ${#define_list_name[*]}`; do
-echo -n " --define=\"${define_list_name[$i-1]} ${define_list_value[$i-1]}\""
-done)"
- notify.debug "rpmdefine_opts = \"$rpmdefine_opts\""
if [ "$norpms" = 1 ]; then
notify.note "\

View File

@ -1,79 +0,0 @@
--- plugins/pck-update.in 2010-03-12 19:52:44.000000000 +0100
+++ /usr/bin/pck-update 2010-03-22 00:56:15.000000000 +0100
@@ -142,6 +142,7 @@
-f, --format "$"Enable specfile autoformatting""
-L, --log "$"Unable logging to file (logging dir: \`\$logging_dir')""
-R, --rebuild "$"Enable rebuilding mode and settings (action 4 only)""
+ --root "$"Specify an alternative root directory to rpm""
"$"Operation modes"":
-h, --help "$"Print this help, then exit""
@@ -191,7 +192,7 @@
force-update,force-build,force-install,force,\
ignore-test:,clear,format,log,rebuild,\
debug,quiet,colorize,help,version,\
-frontend_opts: \
+frontend_opts:,root: \
-n "$me" -- "$@"`
[ $? = 0 ] || exit 1
@@ -263,6 +264,8 @@
let "verbose = 0" ;;
-r|--colorize)
let "colorize = 1" ;;
+ --root)
+ rpm_root_opts="-r $2"; shift ;;
-h|--help)
usage 0 ;;
-V|--version)
@@ -2122,11 +2125,12 @@
--define=\"%_specdir $spec_dir\" \
--define=\"%_sourcedir $source_dir\" \
--define=\"%_builddir $build_dir\" \
- --define=\"%_tmppath $tmppath_dir\""
+ --define=\"%_tmppath $tmppath_dir\" \
+ $rpm_root_opts"
# check if we are cross-compiling
[ "$BUILD_ARCH" != "$target_cpu" ] &&
- rpmbuild_opts="--target $target_cpu"
+ rpmbuild_opts="$rpmbuild_opts --target $target_cpu"
[ "$cleanup" = "1" ] && rpmbuild_opts="$rpmbuild_opts --clean"
@@ -2140,7 +2144,6 @@
notify.note "${NOTE}"$"testing out specfile""${NORM}..."
eval "rpmbuild --nobuild \
$rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1" ||
- $spec_dir/$SRPM_SPECFILE 2>&1 ||
notify.error $"rpmbuild exited with error code \`$?'"
notify.debug "define_list_name = (${define_list_name[*]})"
@@ -2140,7 +2144,6 @@
notify.note "${NOTE}"$"testing out specfile""${NORM}..."
eval "rpmbuild --nobuild \
$rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1" ||
- $spec_dir/$SRPM_SPECFILE 2>&1 ||
notify.error $"rpmbuild exited with error code \`$?'"
notify.debug "define_list_name = (${define_list_name[*]})"
@@ -2362,7 +2365,7 @@
notify.error $"package not found"": \`$filename'"
done
- rpm -U --test \
+ rpm -U --test $rpm_root_opts \
$(for pck in ${SPEC_TARGET[*]}; do
echo -n "$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm "
@@ -3083,8 +3086,8 @@
else
[ "$rpm_install" ] || notify.error "\
\`rpm_install': "$"unset in the configuration files"
- notify.debug "$rpm_install $pck2install_list"
- $rpm_install $pck2install_list ||
+ notify.debug "$rpm_install $pck2install_list $rpm_root_opts"
+ $rpm_install $pck2install_list $rpm_root_opts ||
notify.error $"cannot install the new rpm packages"
fi
fi

View File

@ -1,59 +0,0 @@
--- autospec-1.4.15/lib/libapse.lib.in.orig 2010-01-12 22:46:27.000000000 +0100
+++ autospec-1.4.15/lib/libapse.lib.in 2010-03-26 13:28:14.000000000 +0100
@@ -397,6 +397,56 @@
fi
fi
+ # sourceforge.net, sf.net
+
+ local prj_name
+
+ if [ "$(echo $pckurl | grep "sourceforge.net\|sf.net")" ]; then
+ notify.note $"looking at"" <${NOTE}http://sourceforge.net${NORM}>..."
+
+ prj_name=$(echo "$pckurl" | sed -n 's,.*/\(.*\)/.*,\1,p')
+ [ "$prj_name" ] || notify.error $"\
+(bug)"" -- $FUNCNAME: "$"assertion failed:"" \"\$prj_name\" != \"\""
+
+ curr_curl_url="http://sourceforge.net/projects/$prj_name"
+ notify.debug "curl \$curr_curl_proxy_opts -s -L \"$curr_curl_url\""
+ curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
+
+ let "retval = $?"
+ case "$retval" in
+ 0) ;;
+ 7) notify.warning $"failed to connect to host" ;;
+ *) notify.warning $"curl error (exit code: $retval)" ;;
+ esac
+
+ [ "$retval" = "0" ] &&
+ if [ "$(sed -n "s,.*Invalid Project.*,error,pi" $fcurlout)" != \
+ "error" ]; then
+ [ "$src_name" ] || src_name="$specname"
+
+ pck_file=`grep -i -m1 "/download" $fcurlout | \
+grep -i "$src_name" | \
+sed -n "s,.*\"\([^\"]*\)\/download\".*,\1,pi"`
+ notify.debug "pck_file = \"$pck_file\""
+ [ "$src_name" ] && unset src_name
+
+ new_version=`echo $pck_file | sed -n "\
+/[0-9]/!q # return nothing if no number is found in the package name
+s,.*/,, # remove directory name, if any
+s/\.[^0-9].*// # remove trailing stuff (.tar.gz, ...)
+/-[0-9]*/{s/.*-\([0-9]*.*\)/\1/p;q} # <pck_name>-<pck_ver>
+/_[0-9]*/{s/.*_\([0-9]*.*\)/\1/p;q} # <pck_name>_<pck_ver>
+/[^-\.][0-9]\./{s/.*[^-\.]\([0-9]\..*\)/\1/p;q} # <pck_name><pck_ver>
+# <pck_name> (no version, but <pck_name> can end with numbers)
+/^[^0-9]*[0-9]*$/q"`
+ fi
+ fi
+
+ if [ "$new_version" ]; then
+ notify.note "* "$"found version:"" \`${NOTE}$new_version${NORM}'"
+ last_version="$new_version"
+ fi
+
# check at the other supported web sites...
# skip perl packages to prevent name confusion; these are checked above via Source0

View File

@ -1,12 +0,0 @@
diff -Nru autospec-1.4.15.orig//plugins/pck-update.in autospec-1.4.15/plugins/pck-update.in
--- autospec-1.4.15.orig//plugins/pck-update.in 2010-03-24 21:40:44.000000000 +0100
+++ autospec-1.4.15/plugins/pck-update.in 2010-04-03 14:13:54.314056254 +0200
@@ -2138,7 +2138,7 @@
# check if we are cross-compiling
[ "$BUILD_ARCH" != "$target_cpu" ] &&
- rpmbuild_opts="$rpmbuild_opts --target $target_cpu"
+ rpmbuild_opts="--target $target_cpu $rpmbuild_opts"
[ "$cleanup" = "1" ] && rpmbuild_opts="$rpmbuild_opts --clean"

View File

@ -1,41 +0,0 @@
diff -Nru autospec-1.4.16.orig//plugins/pck-update.in autospec-1.4.16/plugins/pck-update.in
--- autospec-1.4.16.orig//plugins/pck-update.in 2010-05-06 14:59:25.501216204 +0200
+++ autospec-1.4.16/plugins/pck-update.in 2010-05-06 15:01:13.467091646 +0200
@@ -2137,9 +2137,6 @@
--define=\"%_builddir $build_dir\" \
--define=\"%_tmppath $tmppath_dir\""
- [ "$rpm_rootdir" ] &&
- rpmbuild_opts="$rpmbuild_opts $rpm_root_opts"
-
# check if we are cross-compiling
[ "$BUILD_ARCH" != "$target_cpu" ] &&
rpmbuild_opts="--target $target_cpu $rpmbuild_opts"
@@ -2155,7 +2152,7 @@
# note: exit with error when build requirements are missing
notify.note "${NOTE}"$"testing out specfile""${NORM}..."
eval "rpmbuild --nobuild \
-$rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1" ||
+$rpmbuild_opts $rpm_root_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1" ||
notify.error $"rpmbuild exited with error code \`$?'"
notify.debug "define_list_name = (${define_list_name[*]})"
@@ -2199,15 +2196,15 @@
elif [ "$norpms" = 1 ]; then
notify.note "${NOTE}"$"building the srpm package""${NORM}..."
eval "\
-rpmbuild -bs $rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
+rpmbuild -bs $rpmbuild_opts --nodeps $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
elif [ "$nosrpm" = 1 ]; then
notify.note "${NOTE}"$"building the rpm packages""${NORM}..."
eval "\
-rpmbuild -bb $rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
+rpmbuild -bb $rpmbuild_opts --nodeps $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
else
notify.note "${NOTE}"$"building rpm and srpm packages""${NORM}..."
eval "\
-rpmbuild -ba $rpmbuild_opts $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
+rpmbuild -ba $rpmbuild_opts --nodeps $spec_dir/$SRPM_SPECFILE $rpmdefine_opts 2>&1"
fi
[ $? -eq 0 ] ||
notify.error $"rpmbuild exited with error code \`$?'"

View File

@ -1,15 +0,0 @@
diff -Nru autospec-1.4.16.orig//plugins/pck-update.in autospec-1.4.16/plugins/pck-update.in
--- autospec-1.4.16.orig//plugins/pck-update.in 2010-05-06 14:57:00.523842465 +0200
+++ autospec-1.4.16/plugins/pck-update.in 2010-05-06 14:58:14.009216091 +0200
@@ -2041,9 +2041,9 @@
local f rpm_provided_by buildrequirements_to_install
for f in ${SPEC_BUILDREQUIRES[@]}; do
unset rpm_provided_by
- rpm --quiet -q --whatprovides $f &>/dev/null
+ rpm --quiet -q $rpm_root_opts --whatprovides $f &>/dev/null
[ $? -eq 0 ] &&
- rpm_provided_by="$(rpm -q --whatprovides $f)"
+ rpm_provided_by="$(rpm -q $rpm_root_opts --whatprovides $f)"
notify.note " * "$"\
build requirement found"": \`${NOTE}$f${NORM}' ""\

View File

@ -1,12 +0,0 @@
diff -Nru autospec-1.4.17.orig//lib/libapse.lib.in autospec-1.4.17/lib/libapse.lib.in
--- autospec-1.4.17.orig//lib/libapse.lib.in 2010-04-12 23:16:34.000000000 +0200
+++ autospec-1.4.17/lib/libapse.lib.in 2010-06-03 03:02:59.489016996 +0200
@@ -313,7 +313,7 @@
notify.note $"looking at"" <${NOTE}$curr_curl_url${NORM}> (\`${NOTE}source0${NORM}')..."
notify.debug "curl \$curr_curl_proxy_opts -s -L \"$curr_curl_url\""
- curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
+ curl $curl_opts_netlink $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
let "retval = $?"
case "$retval" in

View File

@ -1,23 +0,0 @@
diff -Nru autospec-1.4.17.orig//lib/librepository.lib.in autospec-1.4.17/lib/librepository.lib.in
--- autospec-1.4.17.orig//lib/librepository.lib.in 2009-06-28 21:44:48.000000000 +0200
+++ autospec-1.4.17/lib/librepository.lib.in 2010-07-01 03:46:25.369016704 +0200
@@ -361,15 +361,15 @@
sed -n "\
/<a href=\"/{s|.*<a href=\"\([^\"]*\)\".*|\1|;bm;};
/<A HREF=\"/{s|.*<A HREF=\"\([^\"]*\)\".*|\1|;bm;};
- /^$pck_name-\(svn\)\?[0-9]\+/bm;be;
- :m;/^$pck_name-\(svn\)\?[0-9]\+/{s,.*,$curr_arch:&,p}
+ /^$pck_name-[^-]*-[^-]*\.rpm/bm;be;
+ :m;/^$pck_name-[^-]*-[^-]*\.rpm/{s,.*,$curr_arch:&,p}
:e" $flist | grep -v -- "$excludeopt"
else
sed -n "\
/<a href=\"/{s|.*<a href=\"\([^\"]*\)\".*|\1|;bm;};
/<A HREF=\"/{s|.*<A HREF=\"\([^\"]*\)\".*|\1|;bm;};
- /^$pck_name-\(svn\)\?[0-9]\+/bm;be;
- :m;/^$pck_name-\(svn\)\?[0-9]\+/{s,.*,$curr_arch:&,p}
+ /^$pck_name-[^-]*-[^-]*\.rpm/bm;be;
+ :m;/^$pck_name-[^-]*-[^-]*\.rpm/{s,.*,$curr_arch:&,p}
:e" $flist
fi ))
done

View File

@ -1,14 +0,0 @@
diff -Nru autospec-1.4.17.orig//plugins/pck-update.in autospec-1.4.17/plugins/pck-update.in
--- autospec-1.4.17.orig//plugins/pck-update.in 2010-07-01 14:21:58.741780539 +0200
+++ autospec-1.4.17/plugins/pck-update.in 2010-07-01 14:23:39.985642249 +0200
@@ -2671,9 +2671,8 @@
if [ "${ftp_rw_server[$ftp_server_upload_num]}" ]; then
repository.is_reachable "${ftp_rw_server[$ftp_server_upload_num]}"
[ $? -eq 0 ] ||
- { notify.error $"\
+ notify.warning $"\
server unreachable"": \`${ftp_rw_server[$ftp_server_upload_num]}'"
- break; }
else
notify.error $"\
you have no read write access to url#$ftp_server_upload_num"

View File

@ -1,15 +0,0 @@
--- autospec/plugins/pck-update.in 2010-05-12 22:12:11.000000000 +0200
+++ autospec/plugins/pck-update 2010-05-25 16:42:42.000000000 +0200
@@ -2040,10 +2040,8 @@
local f rpm_provided_by buildrequirements_to_install
for f in ${SPEC_BUILDREQUIRES[@]}; do
- unset rpm_provided_by
- rpm --quiet -q $rpm_root_opts --whatprovides $f &>/dev/null
- [ $? -eq 0 ] &&
- rpm_provided_by="$(rpm -q $rpm_root_opts --whatprovides $f)"
+ rpm_provided_by="$(rpm -q $rpm_root_opts --whatprovides $f)"
+ [ $? -eq 0 ] || unset rpm_provided_by
notify.note " * "$"\
build requirement found"": \`${NOTE}$f${NORM}' ""\

View File

@ -1,130 +0,0 @@
diff -Nru autospec-1.4.17.org//lib/libspec.lib.in autospec-1.4.17/lib/libspec.lib.in
--- autospec-1.4.17.org//lib/libspec.lib.in 2010-05-02 22:17:42.000000000 +0200
+++ autospec-1.4.17/lib/libspec.lib.in 2010-07-02 23:06:02.245892733 +0200
@@ -657,6 +657,18 @@
{ # 'return' required if 'EXIT_FUNC' == 'return'
notify.error $"specfile not found"": \`$specfile'"; return; }
+ # use rpm --specfile --specedit to create a preprocessed specfile
+ local specfile_preprocessed=$(mktemp -q -t libspec.XXXXXXXX) ||
+ notify.error $"can't create temporary files"
+
+ local rpmdefine_opts="\
+$(for i in `seq 1 1 ${#define_list_name[*]}`; do
+echo -n " --define=\"${define_list_name[$i-1]} ${define_list_value[$i-1]}\""
+done)"
+
+ eval "rpm -q --specfile --specedit $specfile $rpmdefine_opts >> $specfile_preprocessed" ||
+ notify.error $"rpm exited with error code \`$?'"
+
[ -r "$infofile" ] && . $infofile
# when this library is used by external scripts this assertion always fails
@@ -889,7 +901,7 @@
;;
SPEC_TARGET)
[ "$SPEC_TARGET" ] && continue
- [ "$SPEC_NAME" ] || specfile.getvars -s "$specfile" SPEC_NAME
+ [ "$SPEC_NAME" ] || specfile.getvars -s "$specfile_preprocessed" SPEC_NAME
local ifexpr ifexpr_level level boolexpr tok toksave filesname
let "ifexpr_level = 0" # level of nested %if statements
@@ -920,7 +932,7 @@
case ${tok[0]} in
%if)
- #ifexpr=$(rpmvars.solve "${tok2}${fromtok3}" "$specfile")
+ #ifexpr=$(rpmvars.solve "${tok2}${fromtok3}" "$specfile_preprocessed")
# note: if <%var> is undefined (not present) or set to "0"
# then the conditional expression is false else is true
let "ifexpr_level += 1"
@@ -993,7 +1005,7 @@
notify.debug "\
$FUNCNAME: %file block found (${tok[*]})[line#$linenum]"
filesname="$( \
- rpmvars.solve "${tok[*]}" "$specfile" | \
+ rpmvars.solve "${tok[*]}" "$specfile_preprocessed" | \
sed -n '
# remove "%files" and "-f file-name" option if present
s,%files[ \t]*,,;s,-f[ \t]\+[^ ]*[ \t]*,,;p' )"
@@ -1006,11 +1018,11 @@
filesname="$(echo $filesname | sed 's,-n[ \t]\+,,')"
SPEC_TARGET=( \
${SPEC_TARGET[*]} \
-"$(rpmvars.solve "$filesname" "$specfile")" )
+"$(rpmvars.solve "$filesname" "$specfile_preprocessed")" )
;;
*) SPEC_TARGET=(\
${SPEC_TARGET[*]} "$SPEC_NAME-$(\
-rpmvars.solve "$filesname" "$specfile")" )
+rpmvars.solve "$filesname" "$specfile_preprocessed")" )
;;
esac
notify.debug "$FUNCNAME: $var = ( ${SPEC_TARGET[*]} )"
@@ -1023,7 +1035,7 @@
fi
;;
esac
- done < $specfile
+ done < $specfile_preprocessed
#notify.debug "$FUNCNAME: $var = ( ${SPEC_TARGET[*]} )"
;;
SPEC_OBSOLETES)
@@ -1032,7 +1044,7 @@
# entries when no obsolete labels are found
[ "$SPEC_OBSOLETES" ] && continue
- [ "$SPEC_NAME" ] || specfile.getvars -s "$specfile" SPEC_NAME
+ [ "$SPEC_NAME" ] || specfile.getvars -s "$specfile_preprocessed" SPEC_NAME
local linenum=0
while read -r -a tok; do
@@ -1062,19 +1074,19 @@
notify.debug "\
$FUNCNAME: * entry found at line $linenum: \"${tok[*]}\""
SPEC_OBSOLETES[${#SPEC_OBSOLETES[*]}]="\
-$(rpmvars.solve "${tok[*]}" "$specfile")"
+$(rpmvars.solve "${tok[*]}" "$specfile_preprocessed")"
notify.debug "\
$FUNCNAME: SPEC_OBSOLETES = ( ${SPEC_OBSOLETES[*]} )"
;;
esac
- done < $specfile
+ done < $specfile_preprocessed
# SPEC_OBSOLETES=($(sed -n "\
# /^[ \t]*Obsoletes[ \t]*:/{
# s,[ \t]*Obsoletes[ \t]*:[ \t]*,,
# s,%[{]*name[}]*,$SPEC_NAME,;p}" \
- # $specfile))
+ # $specfile_preprocessed))
notify.debug "$FUNCNAME: $var = ( ${SPEC_OBSOLETES[*]} )"
;;
@@ -1095,7 +1107,7 @@
[ "$SPEC_BUILDREQUIRES" ] && continue
local f rpm_provided_by
SPEC_BUILDREQUIRES=(`sed -n \
-'/^BuildRequires/{s,BuildRequires[ \t]*:[ \t]*,,p}' $specfile | \
+'/^BuildRequires/{s,BuildRequires[ \t]*:[ \t]*,,p}' $specfile_preprocessed | \
(IFS="$IFS,"; while read -a buildreqs; do
let "isver = 0"
for f in ${buildreqs[@]}; do
@@ -1107,7 +1119,7 @@
let "isver = 1"
;;
*%*) # rpm variable(s) (ex. '%{__install_info}')
- echo "$(rpmvars.solve "$f" $specfile) "
+ echo "$(rpmvars.solve "$f" $specfile_preprocessed) "
;;
*) echo "$f " ;;
esac
@@ -1154,6 +1166,7 @@
;;
esac
done
+ [ -e $specfile_preprocessed ] && rm -f $specfile_preprocessed
}

View File

@ -1,246 +0,0 @@
diff -Nru autospec-1.4.4.orig/lib/librepository.lib.in autospec-1.4.4/lib/librepository.lib.in
--- autospec-1.4.4.orig/lib/librepository.lib.in 2008-12-08 19:35:19.000000000 +0100
+++ autospec-1.4.4/lib/librepository.lib.in 2008-12-31 05:19:14.000000000 +0100
@@ -84,11 +84,11 @@
local ARGS
ARGS=`LANG=C getopt \
-o n:r:p:u: \
- --long urlnum:,urllist:,proxy:,proxy-user: \
+ --long urlnum:,urllist:,proxy:,proxy-user:,user:,urllistrw: \
-n "$FUNCNAME" -- "$@"`
[ $? = 0 ] || notify.error $"(bug)"" -- $FUNCNAME: "$"\`getopt' error"
- local i urlnum urllist proxy proxy_user
+ local i urlnum urllist proxy proxy_user user urllistrw
eval set -- "$ARGS"
while :; do
@@ -111,6 +111,16 @@
proxy_user="$2"; shift
notify.debug "$FUNCNAME: proxy_user = \"$proxy_user\""
;;
+ -l|--user)
+ user="$2"; shift
+ notify.debug "$FUNCNAME: user = \"$proxy_user\""
+ ;;
+ -w|--urllistrw)
+ urllistrw=($2); shift
+ for i in `seq 1 1 ${#urllistrw[*]}`; do
+ notify.debug "$FUNCNAME: urllistrw[$(($i-1))] = ${urllistrw[$i-1]}"
+ done
+ ;;
--) shift; break ;;
*) notify.error $"\
(bug)"" -- $FUNCNAME: "$"\`getopt' error: bad command \`$1'" ;;
@@ -135,10 +145,14 @@
# FIXME: 'curl_opts_netlink' is an external variable
local curlopts="\
-L --silent --list-only $curl_opts_netlink\
+${user:+ --user $user} \
${proxy:+ --proxy $proxy}${proxy_user:+ --proxy-user $proxy_user}"
local flist currflist currurl
local errors=0
+
+ [ "${user}" ] && urllist=(${urllistrw[*]})
+
let "i = 0"
for currurl in ${urllist[*]}; do
# get the list of files from the repository
@@ -160,6 +174,8 @@
#notify.debug "curl $curlopts --url $currurl/"
curl $curlopts --url $currurl/ -o $currflist
let "retval = $?"
+
+ notify.debug "$FUNCNAME: curl $curlopts --url $currurl/ -o $currflist"
notify.debug "$FUNCNAME: curl return code: $retval"
case "$retval" in
@@ -223,6 +239,7 @@
# -c,--target-cpu : set the build architecture
# -p,--proxy : proxy server
# -u,--proxy-user : proxy user
+# -l,--user : login user
# return value:
# 0 on success, >0 otherwise
# example of output:
@@ -233,13 +250,13 @@
function repository.get_RPMS_name() {
ARGS=`LANG=C getopt \
-o a:x:c:p:u: \
- --long archlist:,exclude:,target-cpu:,proxy:,proxy-user: \
+ --long archlist:,exclude:,target-cpu:,proxy:,proxy-user:,user: \
-n "$FUNCNAME" -- "$@"`
[ $? = 0 ] || notify.error $"(bug)"" -- $FUNCNAME: "$"\`getopt' error"
eval set -- "$ARGS"
- local archlist excludeopt proxy proxy_user target_cpu
+ local archlist excludeopt proxy proxy_user user target_cpu
while :; do
case $1 in
-a|--archlist)
@@ -262,6 +279,10 @@
proxy_user="$2"; shift
notify.debug "$FUNCNAME: proxy_user = \"$proxy_user\""
;;
+ -l|--user)
+ user="$2"; shift
+ notify.debug "$FUNCNAME: user = \"$proxy_user\""
+ ;;
--) shift; break ;;
*) notify.error $"\
(bug)"" -- $FUNCNAME: "$"\`getopt' error" ;;
@@ -309,6 +330,7 @@
# FIXME: 'curl_opts_netlink' is an external variable
local curlopts="\
-L --silent --list-only $curl_opts_netlink -o $flist\
+${user:+ --user $user} \
${proxy:+ --proxy $proxy}${proxy_user:+ --proxy-user $proxy_user}"
got_RPM_FILENAME=
diff -Nru autospec-1.4.4.orig/plugins/pck-update.in autospec-1.4.4/plugins/pck-update.in
--- autospec-1.4.4.orig/plugins/pck-update.in 2008-12-18 20:49:37.000000000 +0100
+++ autospec-1.4.4/plugins/pck-update.in 2008-12-31 05:20:28.000000000 +0100
@@ -1053,16 +1053,53 @@
notify.error $"can't create temporary files"
notify.debug "$FUNCNAME: infofile = $infofile"
+ local upload_ftp_server
+ local upload_ftp_rpms_dir
+ local upload_ftp_srpms_dir
+ local upload_ftp_port
+ local upload_ftp_user
+ local upload_ftp_passwd
+
+ # select the server where the new packages will be uploaded
+ upload_ftp_server=${ftp_rw_server[$ftp_server_upload_num]}
+ notify.debug "upload_ftp_server = \"$upload_ftp_server\""
+ [ "$upload_ftp_server" ] || notify.error "\
+\`ftp_rw_server[$ftp_server_upload_num]': "$"unset in the configuration files"
+
+ # get the folder where the new rpm packages will be uploaded
+ upload_ftp_rpms_dir=${ftp_rw_rpms_dir[$ftp_server_upload_num]}
+ notify.debug "upload_ftp_rpms_dir = \"$upload_ftp_rpms_dir\""
+ [ "$upload_ftp_rpms_dir" ] || notify.error "\
+\`ftp_rw_rpms_dir[$ftp_server_upload_num]': "$"unset in the configuration files"
+
+ # get the folder where the new srpm package will be uploaded
+ upload_ftp_srpms_dir=${ftp_rw_srpms_dir[$ftp_server_upload_num]}
+ notify.debug "upload_ftp_srpms_dir = \"$upload_ftp_srpms_dir\""
+ [ "$upload_ftp_srpms_dir" ] || notify.error "\
+\`ftp_rw_srpms_dir[$ftp_server_upload_num]': "$"unset in the configuration files"
+
+ upload_ftp_port=${ftp_rw_port[$ftp_server_upload_num]}
+ [ "$ftp_rw_user_forced" ] &&
+ upload_ftp_user="$ftp_rw_user_forced" ||
+ upload_ftp_user="${ftp_rw_user[$ftp_server_upload_num]}"
+ [ "$ftp_rw_passwd_forced" ] &&
+ upload_ftp_passwd="$ftp_rw_passwd_forced" ||
+ upload_ftp_passwd="${ftp_rw_passwd[$ftp_server_upload_num]}"
+
for step in ${steps[*]}; do
case $step in
0) notify.note "[${NOTE}step $step${NORM}] -- ${NOTE}"$"\
check for available versions in the repositories""${NORM}"
local srpm_pck_found=0
+
if [ "$ftp_server_download_num" ]; then
repository.get_SRPMS_name \
--urllist "${ftpurl_ro_srpms[$ftp_server_download_num]}" \
--urlnum "$ftp_server_download_num" \
+ --user "$upload_ftp_user:$upload_ftp_passwd" \
+ --urllistrw "$upload_ftp_server${upload_ftp_port:+:upload_ftp_port}/\
+$upload_ftp_srpms_dir/" \
--proxy "$proxy" \
--proxy-user "$proxy_user" \
"$pck_name"
@@ -1079,9 +1116,13 @@
fi
else
for i in `seq 1 1 ${#ftp_rw_server[*]}`; do
+
repository.get_SRPMS_name \
--urllist "${ftpurl_ro_srpms[$(($i-1))]}" \
--urlnum "$(($i-1))" \
+ ${upload_ftp_user:+ --user "$upload_ftp_user:$upload_ftp_passwd"} \
+ --urllistrw "$upload_ftp_server${upload_ftp_port:+:upload_ftp_port}/\
+$upload_ftp_srpms_dir/" \
--proxy "$proxy" \
--proxy-user "$proxy_user" \
"$pck_name"
@@ -1113,6 +1154,9 @@
repository.get_SRPMS_name \
--urllist "${ftpurl_ro_srpms[$ftp_server_download_num]}" \
--urlnum "$ftp_server_download_num" \
+ ${upload_ftp_user:+ --user "$upload_ftp_user:$upload_ftp_passwd"} \
+ --urllistrw "$upload_ftp_server${upload_ftp_port:+:upload_ftp_port}/\
+$upload_ftp_srpms_dir/" \
--proxy "$proxy" \
--proxy-user "$proxy_user" \
"$pck_name"
@@ -1141,12 +1185,14 @@
cd $srpms_dir
curl $curl_options \
+ ${upload_ftp_user:+ --user $upload_ftp_user:$upload_ftp_passwd} \
${proxy:+ --proxy $proxy}${proxyuser:+ --proxy-user $proxy_user} \
$got_SPEC_FILENAME_URL/$got_SPEC_FILENAME
[[ $? -eq 0 ]] &&
notify.note $"got from"" \`$got_SPEC_FILENAME_URL'" ||
notify.debug "\
curl $curl_options\
+${upload_ftp_user:+ --user $upload_ftp_user:$upload_ftp_passwd} \
${proxy:+ --proxy $proxy}${proxyuser:+ --proxy-user $proxy_user} \
$got_SPEC_FILENAME_URL/$got_SPEC_FILENAME: [${CRIT}FAILED${NORM}]" )
@@ -2552,6 +2598,9 @@
repository.get_SRPMS_name \
--urllist "${ftpurl_ro_srpms[$ftp_server_upload_num]}" \
--urlnum "$ftp_server_upload_num" \
+ ${upload_ftp_user:+ --user "$upload_ftp_user:$upload_ftp_passwd"} \
+ --urllistrw "$upload_ftp_server${upload_ftp_port:+:upload_ftp_port}/\
+$upload_ftp_srpms_dir/" \
--proxy "$proxy" \
--proxy-user "$proxy_user" \
"$pck_name" ${SPEC_OBSOLETES[@]}
@@ -2662,38 +2711,6 @@
[ "${ftp_rw_passive_mode[$ftp_server_upload_num]}" = "on" ] &&
ftp_opts="$ftp_opts --ftp-pasv"
- local upload_ftp_server
- local upload_ftp_rpms_dir
- local upload_ftp_srpms_dir
- local upload_ftp_port
- local upload_ftp_user
- local upload_ftp_passwd
-
- # select the server where the new packages will be uploaded
- upload_ftp_server=${ftp_rw_server[$ftp_server_upload_num]}
- notify.debug "upload_ftp_server = \"$upload_ftp_server\""
- [ "$upload_ftp_server" ] || notify.error "\
-\`ftp_rw_server[$ftp_server_upload_num]': "$"unset in the configuration files"
-
- # get the folder where the new rpm packages will be uploaded
- upload_ftp_rpms_dir=${ftp_rw_rpms_dir[$ftp_server_upload_num]}
- notify.debug "upload_ftp_rpms_dir = \"$upload_ftp_rpms_dir\""
- [ "$upload_ftp_rpms_dir" ] || notify.error "\
-\`ftp_rw_rpms_dir[$ftp_server_upload_num]': "$"unset in the configuration files"
-
- # get the folder where the new srpm package will be uploaded
- upload_ftp_srpms_dir=${ftp_rw_srpms_dir[$ftp_server_upload_num]}
- notify.debug "upload_ftp_srpms_dir = \"$upload_ftp_srpms_dir\""
- [ "$upload_ftp_srpms_dir" ] || notify.error "\
-\`ftp_rw_srpms_dir[$ftp_server_upload_num]': "$"unset in the configuration files"
-
- upload_ftp_port=${ftp_rw_port[$ftp_server_upload_num]}
- [ "$ftp_rw_user_forced" ] &&
- upload_ftp_user="$ftp_rw_user_forced" ||
- upload_ftp_user="${ftp_rw_user[$ftp_server_upload_num]}"
- [ "$ftp_rw_passwd_forced" ] &&
- upload_ftp_passwd="$ftp_rw_passwd_forced" ||
- upload_ftp_passwd="${ftp_rw_passwd[$ftp_server_upload_num]}"
notify.note "\
${NOTE}"$"upload the new packages to the ftp repository"" \

View File

@ -1,108 +0,0 @@
diff -Nru autospec-1.4.4.orig/lib/libapse.lib.in autospec-1.4.4/lib/libapse.lib.in
--- autospec-1.4.4.orig/lib/libapse.lib.in 2009-01-03 14:12:01.000000000 +0100
+++ autospec-1.4.4/lib/libapse.lib.in 2009-01-03 14:13:26.000000000 +0100
@@ -411,62 +411,64 @@
last_version="$new_version"
fi
- # check at the other supported web sites...
- for i in ${!apse_site_name[@]}; do
- notify.note \
+ # check at the other supported web sites.
+ # Skip Perl packages to prevent name confusion; these are checked above via Source0
+ if [ ! "$(echo $pckurl | grep "cpan.org")" ]; then
+ for i in ${!apse_site_name[@]}; do
+ notify.note \
$"looking at"" <${NOTE}${apse_site_name[$i]}${NORM}>..."
- for search_name in $src_name $specname; do
- [ "${apse_put_fields[$i]}" ] &&
- curr_curl_url="${apse_uri[$i]}" ||
- curr_curl_url="${apse_uri[$i]}${search_name}"
+ for search_name in $src_name $specname; do
+ [ "${apse_put_fields[$i]}" ] &&
+ curr_curl_url="${apse_uri[$i]}" ||
+ curr_curl_url="${apse_uri[$i]}${search_name}"
- if [ "${apse_put_fields[$i]}" ]; then
- notify.debug "\
+ if [ "${apse_put_fields[$i]}" ]; then
+ notify.debug "\
curl \$curr_curl_proxy_opts -s -L -F ${apse_put_fields[$i]}${search_name} \"$curr_curl_url\""
- curl $curr_curl_proxy_opts -s -L -F \
- ${apse_put_fields[$i]}${search_name} "$curr_curl_url" > $fcurlout
- else
- notify.debug "\
+ curl $curr_curl_proxy_opts -s -L -F \
+ ${apse_put_fields[$i]}${search_name} "$curr_curl_url" > $fcurlout
+ else
+ notify.debug "\
curl \$curr_curl_proxy_opts -s -L \"$curr_curl_url\""
- curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
- fi
+ curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
+ fi
- let "retval = $?"
- case "$retval" in
- 0) ;;
- 6) notify.warning $"couldn't resolve host" ;;
- 7) notify.warning $"failed to connect to host" ;;
- *) notify.warning $"curl error (exit code: $retval)" ;;
- esac
+ let "retval = $?"
+ case "$retval" in
+ 0) ;;
+ 6) notify.warning $"couldn't resolve host" ;;
+ 7) notify.warning $"failed to connect to host" ;;
+ *) notify.warning $"curl error (exit code: $retval)" ;;
+ esac
- [ "$retval" = "0" ] || continue
+ [ "$retval" = "0" ] || continue
- if [ "$(cat $fcurlout | sed -n "\
+ if [ "$(cat $fcurlout | sed -n "\
s,.*${apse_error_msg[$i]}.*,error,pi")" != \
- "error" ]; then
- current_grep="$(echo "${apse_grep[$i]}" | sed -e "s,\${search_name},${search_name},g")"
- current_sed="$(echo "${apse_sed[$i]}" | sed -e "s,\${search_name},${search_name},g")"
- notify.debug "\
+ "error" ]; then
+ current_grep="$(echo "${apse_grep[$i]}" | sed -e "s,\${search_name},${search_name},g")"
+ current_sed="$(echo "${apse_sed[$i]}" | sed -e "s,\${search_name},${search_name},g")"
+ notify.debug "\
grep -i -m1 \"$current_grep\" \$fcurlout | sed -n \"$current_sed\""
- new_version=$(grep -i -m1 "$current_grep" $fcurlout | sed -n "$current_sed")
- if [ "$new_version" ]; then
- notify.note "\
+ new_version=$(grep -i -m1 "$current_grep" $fcurlout | sed -n "$current_sed")
+ if [ "$new_version" ]; then
+ notify.note "\
* "$"found version:"" \`${NOTE}$new_version${NORM}'"
- if [ "$last_version" ]; then
- notify.debug "apse.cmpversion \"$last_version\" \"$new_version\""
- apse.cmpversion "$last_version" "$new_version"
- [ $? -eq 2 ] && last_version="$new_version"
- else
- last_version="$new_version"
+ if [ "$last_version" ]; then
+ notify.debug "apse.cmpversion \"$last_version\" \"$new_version\""
+ apse.cmpversion "$last_version" "$new_version"
+ [ $? -eq 2 ] && last_version="$new_version"
+ else
+ last_version="$new_version"
+ fi
fi
fi
- fi
+ done
done
- done
+ fi
unset APSE_LAST_VERSION
-
if [ "$last_version" ]; then
APSE_LAST_VERSION="${last_version/-/.}"
notify.note $"\

View File

@ -1,105 +0,0 @@
diff -Nru autospec-1.4.4.orig/lib/libapse.lib.in autospec-1.4.4/lib/libapse.lib.in
--- autospec-1.4.4.orig/lib/libapse.lib.in 2008-12-18 23:01:10.000000000 +0100
+++ autospec-1.4.4/lib/libapse.lib.in 2009-01-02 13:45:55.000000000 +0100
@@ -230,7 +230,7 @@
local ARGS
ARGS=`LANG=C getopt -o han:s:w:p:u: \
- --long help,allurl,pckname:,specname:,pckurl:,proxy:,proxy-user: \
+ --long help,allurl,pckname:,specname:,pckurl:,pckurlverbatim:,proxy:,proxy-user: \
-n "$FUNCNAME" -- "$@"`
[ $? = 0 ] || notify.error $"\
(bug)"" -- $FUNCNAME: "$"\`getopt' error"
@@ -253,6 +253,10 @@
pckurl="$2"; shift
notify.debug "$FUNCNAME: pckurl = \"$pckurl\""
;;
+ -v|--pckurlverbatim)
+ pckurlverbatim="$2"; shift
+ notify.debug "$FUNCNAME: pckurlverbatim = \"$pckurlverbatim\""
+ ;;
-p|--proxy)
proxy="$2"; shift
notify.debug "$FUNCNAME: proxy = \"$proxy\""
@@ -291,12 +295,11 @@
local curr_curl_proxy_opts="\
${proxy:+ --proxy $proxy}${proxy_user:+ --proxy-user $proxy_user}"
- # sourceforge.net, sf.net
+ # sourceforge.net, sf.net
local prj_name prj_group_id
if [ "$(echo $pckurl | grep "sourceforge.net\|sf.net")" ]; then
- notify.note $"looking at"" <${NOTE}http://sourceforge.net${NORM}>..."
prj_name=$(echo "$pckurl" | sed -n 's,.*/\(.*\)/.*,\1,p')
[ "$prj_name" ] || notify.error $"\
@@ -364,11 +367,48 @@
fi
fi
fi
+
+ else
+
+ # SOURCE url based search
+ notify.note $"looking at"" "$"source0 base directory..."
+ local pckurldir="`dirname $pckurl`/"
+ local pcknameverbatim=`basename $pckurlverbatim`
+
+ curr_curl_url="\
+$pckurldir"
+ notify.debug "curl $curr_curl_proxy_opts -s -L \"$curr_curl_url\""
+
+ curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
+ let "retval = $?"
+ case "$retval" in
+ 0) ;;
+ 6) notify.warning $"couldn't resolve host" ;;
+ 7) notify.warning $"failed to connect to host" ;;
+ *) notify.warning $"curl error (exit code: $retval)" ;;
+ esac
+
+ local pcknameregexp=$(echo $pcknameverbatim | sed "\
+ s,%[{]*name[}]*,$specname,
+ s,%{.*}*,[^[:space:]-]*,")
+
+ if [ $? -eq 0 ]; then
+
+ new_version=$(\
+grep -i "$pcknameregexp" $fcurlout | sed "\
+ s,.*\($pcknameregexp\).*,\1,g
+ s/\.[^0-9].*// # remove trailing stuff (.tar.gz, ...)
+ s/.*-\([0-9]*.*\)/\1/ # <pck_name>-<pck_ver>
+ s/.*_\([0-9]*.*\)/\1/ # <pck_name>_<pck_ver>
+ s/.+\([0-9]\..*\)/\1/g # <pck_name><pck_ver>
+ " | sort -t. -n -r -k1 -k2 -k3 -k4 -k5 -k6 -k7 -k8 -k9 -k10| head -n1)
+
+ fi
fi
if [ "$new_version" ]; then
- notify.note "* "$"found version:"" \`${NOTE}$new_version${NORM}'"
- last_version="$new_version"
+ notify.note "* "$"found version:"" \`${NOTE}$new_version${NORM}'"
+ last_version="$new_version"
fi
# check at the other supported web sites...
diff -Nru autospec-1.4.4.orig/plugins/pck-update.in autospec-1.4.4/plugins/pck-update.in
--- autospec-1.4.4.orig/plugins/pck-update.in 2009-01-01 23:01:36.000000000 +0100
+++ autospec-1.4.4/plugins/pck-update.in 2009-01-01 23:04:59.000000000 +0100
@@ -1253,9 +1253,13 @@
unset SPEC_SOURCE0_PCKNAME
specfile.getvars SPEC_SOURCE0_PCKNAME
+ unset SPEC_SOURCE0_VERBATIM
+ specfile.getvars --verbatim SPEC_SOURCE0
+
apse.scrapeversion \
--pckname "$SPEC_SOURCE0_PCKNAME" \
--pckurl "${SPEC_SOURCE[0]}" \
+ --pckurlverbatim "${SPEC_SOURCE0_VERBATIM}" \
--specname "$SPEC_NAME" \
${proxy:+ --proxy $proxy} \
${proxy_user:+ --proxy-user $proxy_user}

View File

@ -1,29 +0,0 @@
--- autospec.conf.in.orig 2009-02-24 01:58:37.000000000 +0100
+++ autospec.conf.in 2009-02-24 01:58:49.000000000 +0100
@@ -418,7 +418,7 @@
apse_uri[1]="http://linux.softpedia.com/progSearch"
apse_put_fields[1]="src="
apse_error_msg[1]="No results found"
-apse_grep[1]="<b[^<]*\${search_name} "
+apse_grep[1]="<b[^<]*\${search_name}[^a-zA-Z]"
apse_sed[1]="s,.*<b[^<]*\${search_name}[^<]*[ ]\([^ <]*\)</b>.*,\1,pi"
apse_site_name[2]="http://www.gnomefiles.org"
@@ -439,14 +439,14 @@
apse_uri[4]="http://sourcewell.berlios.de/appsearch.php?by=Importance&search="
apse_put_fields[4]=""
apse_error_msg[4]="No Application found"
-apse_grep[4]="appbyid.*\${search_name}.*Stable"
+apse_grep[4]="appbyid.*\${search_name}[^a-zA-Z].*Stable"
apse_sed[4]="s,.*<a href=\"appbyid.*\">\${search_name} \([^ <]*\)</a>.*,\1,pi"
apse_site_name[5]="http://distrowatch.com"
-apse_uri[5]="http://distrowatch.com/packages.php ?"
+apse_uri[5]="http://distrowatch.com/packages.php?"
apse_put_fields[5]=""
apse_error_msg[5]="is currently being redesigned"
-apse_grep[5]="td.*\${search_name}"
+apse_grep[5]="td.*[^a-zA-Z]\${search_name}[^a-zA-Z0-9]"
apse_sed[5]="s,.*td><[^>]*>\([^ <]*\)<.*,\1,pi"
#------------------------------------------------------------------------------

View File

@ -1,12 +0,0 @@
--- libapse.lib.in.2 2009-02-28 19:34:40.000000000 +0100
+++ libapse.lib.in 2009-02-28 19:34:55.000000000 +0100
@@ -392,7 +392,8 @@
local pcknameregexp=$(echo $pcknameverbatim | sed "\
s,%[{]*name[}]*,$specname,
- s,%{.*}*,[^[:space:]-]*,")
+ s,%[{]*version[}]*,[A-Za-z0-9._]*,
+ s,%[{]*.*[}]*,[^[:space:]-]*,")
if [ $? -eq 0 ]; then
new_version=$(\

View File

@ -1,11 +0,0 @@
--- libapse.lib.in 2009-02-28 19:34:55.000000000 +0100
+++ libapse.lib.in.new 2009-03-02 18:46:02.000000000 +0100
@@ -403,7 +403,7 @@
s/\.[^0-9].*// # remove trailing stuff (.tar.gz, ...)
s/.*-\([0-9]*.*\)/\1/ # <pck_name>-<pck_ver>
s/.*_\([0-9]*.*\)/\1/ # <pck_name>_<pck_ver>
-s/.+\([0-9]\..*\)/\1/g # <pck_name><pck_ver>" | \
+s/[^0-9]*\([0-9]\..*\)/\1/g # <pck_name><pck_ver> | \
sort -t. -n -r -k1 -k2 -k3 -k4 -k5 -k6 -k7 -k8 -k9 -k10 | head -n1)
fi

View File

@ -1,86 +0,0 @@
diff -Nru autospec-1.4.6.ori/lib/libapse.lib.in autospec-1.4.6/lib/libapse.lib.in
--- autospec-1.4.6.ori/lib/libapse.lib.in 2009-04-10 19:47:03.000000000 +0200
+++ autospec-1.4.6/lib/libapse.lib.in 2009-07-01 02:29:14.912684915 +0200
@@ -294,81 +294,8 @@
local curr_curl_proxy_opts="\
${proxy:+ --proxy $proxy}${proxy_user:+ --proxy-user $proxy_user}"
- # sourceforge.net, sf.net
-
- local prj_name prj_group_id
-
- if [ "$(echo $pckurl | grep "sourceforge.net\|sf.net")" ]; then
- notify.note $"looking at"" <${NOTE}http://sourceforge.net${NORM}>..."
-
- prj_name=$(echo "$pckurl" | sed -n 's,.*/\(.*\)/.*,\1,p')
- [ "$prj_name" ] || notify.error $"\
-(bug)"" -- $FUNCNAME: "$"assertion failed:"" \"\$prj_name\" != \"\""
-
- curr_curl_url="http://sourceforge.net/projects/$prj_name"
- notify.debug "curl \$curr_curl_proxy_opts -s -L \"$curr_curl_url\""
- curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
-
- let "retval = $?"
- case "$retval" in
- 0) ;;
- 6) notify.warning $"couldn't resolve host" ;;
- 7) notify.warning $"failed to connect to host" ;;
- *) notify.warning $"curl error (exit code: $retval)" ;;
- esac
-
- [ "$retval" = "0" ] &&
- if [ "$(sed -n "s,.*Invalid Project.*,error,pi" $fcurlout)" != \
- "error" ]; then
- prj_group_id=$(\
- sed -n "s,.*download\.php?group_id=\([0-9]*\).*,\1,pi" \
- $fcurlout)
- [ "$prj_group_id" ] || notify.error $"\
-(bug)"" -- $FUNCNAME: "$"assertion failed:"" \"\$prj_group_id\" != \"\""
-
- curr_curl_url="\
-http://sourceforge.net/export/rss2_projfiles.php?group_id=$prj_group_id"
- notify.debug "curl \$curr_curl_proxy_opts -s -L \"$curr_curl_url\""
-
- curl $curr_curl_proxy_opts -s -L "$curr_curl_url" > $fcurlout
- let "retval = $?"
- case "$retval" in
- 0) ;;
- 6) notify.warning $"couldn't resolve host" ;;
- 7) notify.warning $"failed to connect to host" ;;
- *) notify.warning $"curl error (exit code: $retval)" ;;
- esac
-
- if [ $? -eq 0 ]; then
- for search_name in $src_name $specname; do
- new_version=$(\
-grep -i -m1 "$search_name [^ ]* released (.*)</title>" $fcurlout | \
-sed -n "s,.*$search_name \([^ ]*\) released (.*)</title>.*,\1,pi")
- [ "$new_version" ] && break
- done
-
- if [ -z "$new_version" ]; then
- [ "$src_name" ] || src_name="$specname"
-
- pck_file=`grep -i -m1 "Includes files: $src_name" $fcurlout | \
-sed -n "s,.*Includes files: \($src_name[-_0-9]*[^ -]*\) .*,\1,pi"`
- notify.debug "pck_file = \"$pck_file\""
- [ "$src_name" ] && unset src_name
-
- new_version=`echo $pck_file | sed -n "\
-/[0-9]/!q # return nothing if no number is found in the package name
-s,.*/,, # remove directory name, if any
-s/\.[^0-9].*// # remove trailing stuff (.tar.gz, ...)
-/-[0-9]*/{s/.*-\([0-9]*.*\)/\1/p;q} # <pck_name>-<pck_ver>
-/_[0-9]*/{s/.*_\([0-9]*.*\)/\1/p;q} # <pck_name>_<pck_ver>
-/[^-\.][0-9]\./{s/.*[^-\.]\([0-9]\..*\)/\1/p;q} # <pck_name><pck_ver>
-# <pck_name> (no version, but <pck_name> can end with numbers)
-/^[^0-9]*[0-9]*$/q"`
- fi
- fi
- fi
# SOURCE0 url based search (only if 'pckurl' is a valid url)
- elif [[ "$pckurl" =~ .*://.* ]]; then
+ if [[ "$pckurl" =~ .*://.* ]]; then
local pckurldir="`dirname $pckurl`/"
notify.debug "pckurldir = $pckurldir"

View File

@ -1,57 +0,0 @@
diff -Nru autospec-1.4.6.orig/autospec.conf.in autospec-1.4.6/autospec.conf.in
--- autospec-1.4.6.orig/autospec.conf.in 2009-02-25 22:42:41.000000000 +0100
+++ autospec-1.4.6/autospec.conf.in 2009-04-19 14:47:37.000000000 +0200
@@ -533,8 +533,9 @@
#------------------------------------------------------------------------------
# Directories used by the rpm tool to read and save files to
-srpms_dir=`rpm --eval %_srcrpmdir 2>/dev/null`
-rpms_dir=`rpm --eval %_rpmdir 2>/dev/null`
-spec_dir=`rpm --eval %_specdir 2>/dev/null`
-source_dir=`rpm --eval %_sourcedir 2>/dev/null`
-tmppath_dir=`rpm --eval %_tmppath 2>/dev/null`
+srpms_dir="`rpm --eval %_srcrpmdir 2>/dev/null`"
+rpms_dir="`rpm --eval %_rpmdir 2>/dev/null`"
+spec_dir="`rpm --eval %_specdir 2>/dev/null`"
+source_dir="`rpm --eval %_sourcedir 2>/dev/null`"
+build_dir="`rpm --eval %_builddir 2>/dev/null`"
+tmppath_dir="`rpm --eval %_tmppath 2>/dev/null`"
diff -Nru autospec-1.4.6.orig/plugins/pck-update.in autospec-1.4.6/plugins/pck-update.in
--- autospec-1.4.6.orig/plugins/pck-update.in 2009-02-01 22:35:33.000000000 +0100
+++ autospec-1.4.6/plugins/pck-update.in 2009-04-19 14:49:05.000000000 +0200
@@ -1181,7 +1181,10 @@
$spec_dir/${SRPM_SPECFILE}.0.old
fi
- rpm -hiv $srpms_dir/$got_SPEC_FILENAME 2>&1 >/dev/null ||
+ rpm -hiv \
+ --define "%_specdir $spec_dir" \
+ --define "%_sourcedir $source_dir" \
+ $srpms_dir/$got_SPEC_FILENAME 2>&1 >/dev/null ||
notify.error $"\
an error occurred while installing \`$got_SPEC_FILENAME'"
@@ -2106,7 +2109,13 @@
$sdflag "$fullURL" "$source_dir" "$totfilenum"
done
- local rpmbuild_opts
+ local rpmbuild_opts="\
+ --define \"%_srcrpmdir $srpms_dir\" \
+ --define \"%_rpmdir $rpms_dir\" \
+ --define \"%_specdir $spec_dir\" \
+ --define \"%_sourcedir $source_dir\" \
+ --define \"%_builddir $build_dir\" \
+ --define \"%_tmppath $tmppath_dir\""
# check if we are cross-compiling
[ "$BUILD_ARCH" != "$target_cpu" ] &&
@@ -2116,7 +2125,7 @@
# note: exit with error when build requirements are missing
notify.note "${NOTE}"$"testing out specfile""${NORM}..."
- rpmbuild --nobuild $spec_dir/$SRPM_SPECFILE 2>&1 ||
+ rpmbuild --nobuild --define "%_sourcedir $source_dir" $spec_dir/$SRPM_SPECFILE 2>&1 ||
notify.error $"rpmbuild exited with error code \`$?'"
notify.debug "define_list_name = (${define_list_name[*]})"

View File

@ -1,9 +0,0 @@
diff -Nru autospec-1.4.7/autospec.conf.in autospec-1.4.7.patched/autospec.conf.in
--- autospec-1.4.7/autospec.conf.in 2009-06-28 20:18:14.000000000 +0200
+++ autospec-1.4.7.patched/autospec.conf.in 2009-07-08 21:15:25.186969362 +0200
@@ -537,4 +537,5 @@
rpms_dir="`rpm --eval %_rpmdir 2>/dev/null`"
spec_dir="`rpm --eval %_specdir 2>/dev/null`"
source_dir="`rpm --eval %_sourcedir 2>/dev/null`"
+build_dir="`rpm --eval %_builddir 2>/dev/null`"
tmppath_dir="`rpm --eval %_tmppath 2>/dev/null`"

View File

@ -1,36 +0,0 @@
diff -Nru autospec-1.4.7/lib/libapse.lib.in autospec-1.4.7.patched/lib/libapse.lib.in
--- autospec-1.4.7/lib/libapse.lib.in 2009-07-05 19:23:29.000000000 +0200
+++ autospec-1.4.7.patched/lib/libapse.lib.in 2009-07-12 14:16:29.000000000 +0200
@@ -319,19 +319,24 @@
local pcknameregexp=$(echo $pcknameverbatim | sed "\
s,%[{]*name[}]*,$specname,
- s,%[{]*version[}]*,[A-Za-z0-9._]*,
- s,%[{]*.*[}]*,[^[:space:]-]*,")
+ s,%[{]*version[}]*,\\\([A-Za-z0-9._]*\\\),
+ s,%[{]*.*[}]*,[A-Za-z0-9._]*,
+ s,\.gz$,.,
+ s,\.tgz$,.,
+ s,\.bz2$,.,
+ s,\.lzma$,.,")
if [ $? -eq 0 ]; then
- new_version=$(\
+
+ if [ "${pcknameregexp/(/}" = "${pcknameregexp}" ]; then
+ notify.warning "* "$"not parametric source0 name; cannot update"
+ else
+ new_version=$(\
grep -i "$pcknameregexp" $fcurlout | \
sed "\
-s,.*\($pcknameregexp\).*,\1,g
-s/\.[^0-9].*// # remove trailing stuff (.tar.gz, ...)
-s/.*-\([0-9]*.*\)/\1/ # <pck_name>-<pck_ver>
-s/.*_\([0-9]*.*\)/\1/ # <pck_name>_<pck_ver>
-s/[^0-9]*\([0-9]\..*\)/\1/g # <pck_name><pck_ver>" | \
+s,.*$pcknameregexp.*,\1,g" |
sort -t. -n -r -k1 -k2 -k3 -k4 -k5 -k6 -k7 -k8 -k9 -k10 | head -n1)
+ fi
fi
if [ "$new_version" ]; then

View File

@ -1,12 +0,0 @@
diff -Nru autospec-1.4.8.orig/autospec.conf.in autospec-1.4.8/autospec.conf.in
--- autospec-1.4.8.orig/autospec.conf.in 2009-10-14 21:24:36.000000000 +0200
+++ autospec-1.4.8/autospec.conf.in 2009-10-16 12:03:40.000000000 +0200
@@ -446,7 +446,7 @@
apse_uri[5]="http://distrowatch.com/packages.php?"
apse_put_fields[5]=""
apse_error_msg[5]="is currently being redesigned"
-apse_grep[5]="td.*[^a-zA-Z]\${search_name}[^a-zA-Z0-9]"
+apse_grep[5]="td.*/\${search_name}[-_][0-9]"
apse_sed[5]="s,.*td><[^>]*>\([^ <]*\)<.*,\1,pi"
#------------------------------------------------------------------------------

View File

@ -1,93 +0,0 @@
--- lib/libapse.lib.in 2009-10-16 11:50:55.000000000 +0200
+++ lib/libapse.lib.in 2009-07-23 00:16:29.000000000 +0200
@@ -12,6 +12,12 @@
. /usr/share/autospec/lib/libmsgmng.lib
+[ -r /usr/share/autospec/lib/libspec.lib ] ||
+ { echo "$me: "$"library not found"": /usr/share/autospec/lib/libspec.lib" 1>&2
+ exit 1; }
+
+. /usr/share/autospec/lib/libspec.lib
+
if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n
[ "$LANG" ] && export LANG
@@ -317,24 +323,66 @@
*) notify.warning $"curl error (exit code: $retval)" ;;
esac
- local pcknameregexp=$(echo $pcknameverbatim | sed "\
- s,%[{]*name[}]*,$specname,
- s,%[{]*version[}]*,\\\([A-Za-z0-9._]*\\\),
- s,%[{]*.*[}]*,[A-Za-z0-9._]*,
- s,\.gz$,.,
- s,\.tgz$,.,
- s,\.bz2$,.,
- s,\.lzma$,.,")
+ local svar svalue spck candidate_version
+ # filter "?var:" expressions
+ spck=`echo $pcknameverbatim | sed "s,%{?[A-Za-z0-9_]*:.*\(%[A-Za-z0-9_]*\)},\1,"`
+
+ while true; do
+ svar=`echo $spck | sed "\
+ s,.*%[{]*\([A-Za-z0-9_]*\)[}]*.*,\1,"`
+ [ "$svar" = "$spck" ] && break
+ if [ "$svar" = "version" ]; then
+ svalue="\\\([A-Za-z0-9._]*\\\)"
+ else
+ svalue=`rpmvars.solve "%$svar" "$spec_dir/$specname.spec"`
+ [ "$svalue" = "%$svar" ] && svalue=
+ fi
+ spck=`echo $spck | sed "\
+ s,%[{]*$svar[}]*,$svalue,"`
+ done
+ # remove archiver extension from rexexp to match changes
+ local pcknameregexp=$(echo [^A-Za-z0-9._-]$spck | sed "\
+ s,\.gz$,\\\.,
+ s,\.tgz$,\\\.,
+ s,\.bz2$,\\\.,
+ s,\.lzma$,\\\.,
+ s,\.lz$,\\\.,
+ s,\.tbz2$,\\\.,")
+#echo $pcknameregexp
if [ $? -eq 0 ]; then
if [ "${pcknameregexp/(/}" = "${pcknameregexp}" ]; then
notify.warning "* "$"not parametric source0 name; cannot update"
else
- new_version=$(\
+ candidate_versions=($(\
grep -i "$pcknameregexp" $fcurlout | \
sed "\
-s,.*$pcknameregexp.*,\1,g" | \
-sort -t. -n -r -k1 -k2 -k3 -k4 -k5 -k6 -k7 -k8 -k9 -k10 | head -n1)
+s,.*$pcknameregexp.*,\1,g
+s,.*\.md5,,
+s,\.zip$,,
+s,\.tar\.gz$,,
+s,\.tar\.bz2$,,
+s,\.gz$,,
+s,\.tgz$,,
+s,\.bz2$,,
+s,\.lzma$,,
+s,\.i386$,,
+s,\.bin$,,
+s,\.exe$,,
+s,\.dmg$,,
+s,\.tbz2$,,
+s,\.lz$,," |
+sort -t. -n -r -k1 -k2 -k3 -k4 -k5 -k6 -k7 -k8 -k9 -k10 ))
+
+ local curr_version_dots new_version_dots candidate_version
+ curr_version_dots=`echo $SPEC_VERSION | tr -d [0-9][A-Z][a-z]_`
+ for candidate_version in ${candidate_versions[*]}; do
+ # skip version with no dots if current version has at least one (e.g. date release like 20000110)
+ new_version_dots=`echo $candidate_version | tr -d [0-9][A-Z][a-z]_`
+ [ ${#new_version_dots} = 0 -a ${#curr_version_dots} -gt 0 ] && continue
+ new_version=$candidate_version
+ break
+ done
fi
fi

View File

@ -1,11 +0,0 @@
--- autospec-1.4.9/templates/python.orig 2010-01-07 13:40:56.000000000 +0100
+++ autospec-1.4.9/templates/python 2010-01-07 13:44:18.000000000 +0100
@@ -27,6 +27,8 @@
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
python setup.py install \
+ -O1 \
+ --skip-build \
--root="%{buildroot}" \
--install-headers=%{_includedir}/python \
--install-lib=%{python_sitearch}

View File

@ -1,17 +0,0 @@
diff -Nru autospec-1.4.9.orig/templates/python autospec-1.4.9/templates/python
--- autospec-1.4.9.orig/templates/python 2008-05-11 22:41:59.000000000 +0200
+++ autospec-1.4.9/templates/python 2010-01-06 10:55:10.781675316 +0100
@@ -22,11 +22,11 @@
%setup -q
%build
-CFLAGS=\"%{optflags}\" python setup.py build
+CFLAGS=\"%{optflags}\" %{__python} setup.py build
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
-python setup.py install \
+%{__python} setup.py install \
--root="%{buildroot}" \
--install-headers=%{_includedir}/python \
--install-lib=%{python_sitearch}

View File

@ -1,12 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-02 17:29:37.430222332 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-02 17:30:44.363341447 +0200
@@ -2353,7 +2353,7 @@
buildreq=libpython-devel
else
# unidentified requirement
- buildreq=`rpm -q $req 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"`
+ buildreq=`rpm -q --whatprovides $req 2>/dev/null | sed "s|\(.*\)-[^-]*-[^-]*|\1|"`
[ "$buildreq" ] || echo "#$req: not found; what is this?" >> $frequires
fi
if [ "${buildreq}" -a "${buildreq/%-devel/}" = "${buildreq}" ]; then

View File

@ -1,11 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-04 13:53:29.024307664 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-04 13:56:16.759307837 +0200
@@ -2992,6 +2992,7 @@
# print the old SRPMS package...
[[ -n "$SPEC_FILENAME_old" && \
+ "$nosrpm" != "1" && \
"$SPEC_VERSION_old-$SPEC_RELEASE_old" != \
"$SPEC_VERSION-$SPEC_RELEASE" ]] &&
{ let "srpm_pcks_to_backup = 1"

View File

@ -1,15 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update autospec-1.5.0/plugins/pck-update
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-08 17:45:44.896183449 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-08 19:43:32.147316080 +0200
@@ -436,9 +436,9 @@
2>/dev/null >> $specfile_preprocessed" ||
notify.error $"rpm exited with error code \`$?'"
- SPECFILE_PREPROCESSED="$specfile_preprocessed"
- notify.debug "SPECFILE_PREPROCESSED = \"$SPECFILE_PREPROCESSED\""
fi
+ SPECFILE_PREPROCESSED="$specfile_preprocessed"
+ notify.debug "SPECFILE_PREPROCESSED = \"$SPECFILE_PREPROCESSED\""
echo "SPECFILE_PREPROCESSED=\"$SPECFILE_PREPROCESSED\"" >> $infofile
# set the variables 'rpmvar_name[]', 'rpmvar_value[]', 'rpmvar_expr[]'

View File

@ -1,13 +0,0 @@
diff -Nru autospec-1.5.0/plugins/pck-update.in autospec-1.5.0.orig//plugins/pck-update.in
--- autospec-1.5.0/plugins/pck-update.in 2010-08-21 19:13:06.294003023 +0200
+++ autospec-1.5.0.orig//plugins/pck-update.in 2010-08-21 19:12:32.407002798 +0200
@@ -896,8 +896,7 @@
if [ ! "$target_cpu" ]; then
target_cpu="${SPEC_BUILDARCH:-$BUILD_ARCH}"
if [ "$target_cpu" == "noarch" ]; then
+ target_cpu=`rpm --eval %{_host_cpu}`
- set -- ${arch_list[@]}
- target_cpu=$1
fi
fi
notify.debug "target_cpu = $target_cpu"

View File

@ -1,43 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-08 17:41:33.864557659 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-08 17:43:53.356307747 +0200
@@ -880,11 +880,11 @@
function specfile.rotate_bck() {
local v
for v in `seq $((${spec_backup_numbers:-5} - 2)) -1 0`; do
- [[ -e $spec_dir/${SRPM_SPECFILE}.$v.old ]] &&
+ [[ -e $spec_dir/.${SRPM_SPECFILE}.$v.old ]] &&
{ notify.debug "\
-[$spec_dir] ${SRPM_SPECFILE}.$v.old --> ${SRPM_SPECFILE}.$(($v + 1)).old"
- mv -f $spec_dir/${SRPM_SPECFILE}.$v.old \
- $spec_dir/${SRPM_SPECFILE}.$(($v + 1)).old; }
+[$spec_dir] .${SRPM_SPECFILE}.$v.old --> .${SRPM_SPECFILE}.$(($v + 1)).old"
+ mv -f $spec_dir/.${SRPM_SPECFILE}.$v.old \
+ $spec_dir/.${SRPM_SPECFILE}.$(($v + 1)).old; }
done
}
@@ -1230,9 +1230,9 @@
if [ -e "$spec_dir/$SRPM_SPECFILE" ]; then
notify.note $"\
making a ${NOTE}backup copy${NORM} of the current specfile""
- --> ${NOTE}$spec_dir/${SRPM_SPECFILE}.0.old${NORM}"
+ --> ${NOTE}$spec_dir/.${SRPM_SPECFILE}.0.old${NORM}"
cp -f $spec_dir/$SRPM_SPECFILE \
- $spec_dir/${SRPM_SPECFILE}.0.old
+ $spec_dir/.${SRPM_SPECFILE}.0.old
fi
rpm -hiv --nodeps \
@@ -1372,9 +1372,9 @@
#
# notify.note $"\
#making a ${NOTE}backup copy${NORM} of the current specfile""
-# --> ${NOTE}$spec_dir/${SRPM_SPECFILE}.0.old${NORM}"
+# --> ${NOTE}$spec_dir/.${SRPM_SPECFILE}.0.old${NORM}"
# cp -f $SRPM_SPECFILE_WITH_PATH \
-# ${SRPM_SPECFILE_WITH_PATH}.0.old
+# .${SRPM_SPECFILE_WITH_PATH}.0.old
notify.note $"${NOTE}updating${NORM} the new specfile \
\`${NOTE}$spec_dir/$SRPM_SPECFILE${NORM}'""..."

View File

@ -1,12 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-07-17 23:00:50.000000000 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-07-31 19:55:55.222342783 +0200
@@ -1235,7 +1235,7 @@
$spec_dir/${SRPM_SPECFILE}.0.old
fi
- rpm -hiv \
+ rpm -hiv --nodeps \
--define "%_specdir $spec_dir" \
--define "%_sourcedir $source_dir" \
$srpms_dir/$got_SPEC_FILENAME 2>&1 >/dev/null ||

View File

@ -1,80 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-16 14:02:21.485570021 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-16 14:03:53.353694250 +0200
@@ -2269,8 +2269,13 @@
for pck in ${SPEC_TARGET[*]}; do
# FIXME : we should check and complain if the package has
# been built for a different architecture
- filename="$rpms_dir/$target_cpu/\
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
+ filename="$rpms_dir/noarch/\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ else
+ filename="$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
+ fi
#notify.note " * $filename"
[ -e $filename ] ||
notify.error $"package not found"": \`$filename'"
@@ -2283,8 +2288,13 @@
for pck in ${SPEC_TARGET[*]}; do
# FIXME : we should check and complain if the package has
# been built for a different architecture
- filename="$rpms_dir/$target_cpu/\
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
+ filename="$rpms_dir/noarch/\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ else
+ filename="$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
+ fi
notify.note " * $filename"
#[ -e $filename ] ||
# notify.error $"package not found"": \`$filename'"
@@ -2389,9 +2399,14 @@
for pck in ${SPEC_TARGET[*]}; do
# FIXME : we should check and complain if the package has
# been built for a different architecture
- filename="$rpms_dir/$target_cpu/\
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
+ filename="$rpms_dir/noarch/\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ else
+ filename="$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
- notify.note " * $filename"
+ fi
+ notify.note " * $filename"
[ -e $filename ] ||
notify.error $"package not found"": \`$filename'"
done
@@ -2578,8 +2593,13 @@
$tool -b $filename | sed "s,*.*/\(.*\),\1,"
local i=0
for pck in ${SPEC_TARGET[@]}; do
- filename="$rpms_dir/$target_cpu/\
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
+ filename="$rpms_dir/noarch/\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ else
+ filename="$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
+ fi
[ -e "$filename" ] ||
notify.error $"package not found"": \`$filename'"
$tool -b $filename | sed "s,*.*/\(.*\),\1,"
@@ -3116,8 +3136,13 @@
if [ "$rpm_download_and_install" ]; then
local pck2install_list=""
for pck in ${SPEC_TARGET[@]}; do
- filename="$rpms_dir/$target_cpu/\
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
+ filename="$rpms_dir/noarch/\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ else
+ filename="$rpms_dir/$target_cpu/\
$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
+ fi
[[ -n "$rpm_install_noinstall_mask" &&
$filename =~ $rpm_install_noinstall_mask ]] && continue

View File

@ -1,106 +0,0 @@
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-12 12:13:49.374802087 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-12 12:22:00.533683095 +0200
@@ -893,31 +893,23 @@
# args:
# none
function target_cpu.set_and_check() {
- if [ "$target_cpu" ]; then
- # command '--arch' used by user to force the architecture
- # 'BuildArch' in the specfile takes precedence over cmdline
- if [[ -n "$SPEC_BUILDARCH" && \
- "$target_cpu" != "$SPEC_BUILDARCH" ]]; then
- notify.warning $"\
-command line architecture ignored, using:"\
-" \`${NOTE}$SPEC_BUILDARCH${NORM}' (BuildArch)"
- target_cpu="$SPEC_BUILDARCH"
- fi
- else
+ if [ ! "$target_cpu" ]; then
target_cpu="${SPEC_BUILDARCH:-$BUILD_ARCH}"
+ if [ "$target_cpu" == "noarch" ]; then
+ set -- ${arch_list[@]}
+ target_cpu=$1
+ fi
fi
notify.debug "target_cpu = $target_cpu"
- if [ "$target_cpu" != "noarch" ]; then
- # check if the 'target_cpu' is an allowed architecture
- local arch_list_curr bad_arch=1
- for arch_list_curr in ${arch_list[@]}; do
- [ "$arch_list_curr" = "$target_cpu" ] &&
- { let "bad_arch = 0"; break; }
- done
- [ "$bad_arch" = 1 ] &&
- notify.error $"unsupported architecture"": \`$target_cpu'"
- fi
+ # check if the 'target_cpu' is an allowed architecture
+ local arch_list_curr bad_arch=1
+ for arch_list_curr in ${arch_list[@]}; do
+ [ "$arch_list_curr" = "$target_cpu" ] &&
+ { let "bad_arch = 0"; break; }
+ done
+ [ "$bad_arch" = 1 ] &&
+ notify.error $"unsupported architecture"": \`$target_cpu'"
}
# function package.update()
@@ -2801,21 +2793,32 @@
if [ "$norpms" = "0" ]; then
let "i = 0"
for pck in ${SPEC_TARGET[@]}; do
- filename="\
-$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
- [ -e $rpms_dir/$target_cpu/$filename ] &&
- notify.note "\
- * ${NOTE}$filename${NORM}" ||
- notify.error $"\
-package not found"": \`$rpms_dir/$target_cpu/$filename'"
-
# copy noarch packages to all the repository set in the
# configuration variable `arch_noarch_upload[]'
- if [ "$target_cpu" = "noarch" ]; then
+ if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" = "noarch" ]; then
+ filename="\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.noarch.rpm"
+ [ -e $rpms_dir/noarch/$filename ] &&
+ notify.note "\
+ * ${NOTE}$filename${NORM}" ||
+ notify.error $"\
+package not found"": \`$rpms_dir/noarch/$filename'"
+
for upload_arch in \
${arch_noarch_upload[$ftp_server_upload_num]}; do
- currurl="\
+ if [ "$upload_arch" == "@arch@" ]; then
+ if [ "$target_cpu" != "noarch" ]; then
+ currurl="\
+$(repository.resolveURL "$upload_ftp_rpms_dir" "${target_cpu}")"
+ else
+ set -- ${arch_list[*]}
+ currurl="\
+$(repository.resolveURL "$upload_ftp_rpms_dir" "$1")"
+ fi
+ else
+ currurl="\
$(repository.resolveURL "$upload_ftp_rpms_dir" "$upload_arch")"
+ fi
notify.note "\
--> ""$upload_ftp_server${upload_ftp_port:+:$upload_ftp_port} :: $currurl"
@@ -2839,6 +2842,14 @@
[ $? -eq 0 ] || exit 1
done
else
+ filename="\
+$pck-$pck_rpmversion-$pck_rpmrelease$DISTRO_rpm.$target_cpu.rpm"
+ [ -e $rpms_dir/$target_cpu/$filename ] &&
+ notify.note "\
+ * ${NOTE}$filename${NORM}" ||
+ notify.error $"\
+package not found"": \`$rpms_dir/$target_cpu/$filename'"
+
currurl="\
$(repository.resolveURL "$upload_ftp_rpms_dir" "$target_cpu")"
notify.note "\

View File

@ -1,75 +0,0 @@
diff -Nru autospec-1.5.0.orig//autospec.spec.in autospec-1.5.0/autospec.spec.in
--- autospec-1.5.0.orig//autospec.spec.in 2010-07-11 20:58:17.000000000 +0200
+++ autospec-1.5.0/autospec.spec.in 2010-08-09 00:38:28.364052465 +0200
@@ -13,7 +13,7 @@
Packager: Davide Madrisan <davide.madrisan@gmail.com>
URL: http://www.openmamba.org/packages.html
Source: autospec-%{version}.tar.bz2
-PreReq: rpm
+Requires(pre): rpm
Requires: cpio, coreutils, curl, findutils, grep, sed
Requires: /bin/mktemp
Requires: /usr/bin/getopt
diff -Nru autospec-1.5.0.orig//plugins/pck-update.in autospec-1.5.0/plugins/pck-update.in
--- autospec-1.5.0.orig//plugins/pck-update.in 2010-08-09 00:37:02.782052085 +0200
+++ autospec-1.5.0/plugins/pck-update.in 2010-08-09 00:39:07.550052253 +0200
@@ -758,7 +758,7 @@
notify.debug "rpm_macro_uninstallinfo check failed"; }
fi
if [ "$rpm_macro_installinfo_binary" ]; then
- grep -q "PreReq[ \t]*:[ \t]*${rpm_macro_installinfo_binary}" \
+ grep -q "Requires(post)[ \t]*:[ \t]*${rpm_macro_installinfo_binary}" \
$specfile ||
{ let "errors += 1"
notify.debug "rpm_macro_installinfo_binary check failed"; }
@@ -769,8 +769,8 @@
---------------------------------------
${NOTE}"$"Hint"":${NORM}
$([[ "$rpm_macro_installinfo_binary" ]] &&
- echo "PreReq: $rpm_macro_installinfo_binary" ||
- echo "PreReq: ${path_installinfo:-/sbin/install-info}")
+ echo "Requires(post):$rpm_macro_installinfo_binary" ||
+ echo "Requires(post):${path_installinfo:-/sbin/install-info}")
%post [<subpackage>]
$([[ "$rpm_macro_installinfo" ]] &&
diff -Nru autospec-1.5.0.orig//plugins/spec-create.in autospec-1.5.0/plugins/spec-create.in
--- autospec-1.5.0.orig//plugins/spec-create.in 2010-04-12 20:04:46.000000000 +0200
+++ autospec-1.5.0/plugins/spec-create.in 2010-08-09 00:39:27.935677047 +0200
@@ -782,8 +782,8 @@
License: ${spec_license:-$license_defvalue}"
if [ "$(specfile.infopages --exist)" = 1 ]; then
[ "$rpm_macro_installinfo_binary" ] &&
- echo "PreReq: ${rpm_macro_installinfo_binary}" ||
- echo "PreReq: ${path_installinfo:-/sbin/install-info}"
+ echo "Requires(post):${rpm_macro_installinfo_binary}" ||
+ echo "Requires(post):${path_installinfo:-/sbin/install-info}"
fi
[ "$spec_requires" ] && echo Requires: $spec_requires
[ "$spec_buildrequires" ] && echo BuildRequires: $spec_buildrequires
diff -Nru autospec-1.5.0.orig//tests/test01_pkgquality.in autospec-1.5.0/tests/test01_pkgquality.in
--- autospec-1.5.0.orig//tests/test01_pkgquality.in 2010-05-14 21:33:13.000000000 +0200
+++ autospec-1.5.0/tests/test01_pkgquality.in 2010-08-09 00:40:03.792692378 +0200
@@ -270,8 +270,8 @@
---------------------------------------
${NOTE}"$"Hint"":${NORM}
$([[ "$rpm_macro_installinfo_binary" ]] &&
- echo "PreReq: $rpm_macro_installinfo_binary" ||
- echo "PreReq: ${path_installinfo:-/sbin/install-info}")
+ echo "Requires(post):$rpm_macro_installinfo_binary" ||
+ echo "Requires(post):${path_installinfo:-/sbin/install-info}")
%post [<subpackage>]
$([[ "$rpm_macro_installinfo" ]] &&
diff -Nru autospec-1.5.0.orig//unmaintained/mbrowse.spec autospec-1.5.0/unmaintained/mbrowse.spec
--- autospec-1.5.0.orig//unmaintained/mbrowse.spec 2006-11-24 18:58:24.000000000 +0100
+++ autospec-1.5.0/unmaintained/mbrowse.spec 2010-08-09 00:40:35.354052403 +0200
@@ -59,7 +59,7 @@
#Patch3: http://www.awebsiteintheworld.org/awebpatch-%{version}.patch
BuildRequires: net-snmp-devel >= 4.2
BuildRequires: libopenssl-devel
-PreReq: %{__install_info}
+Requires(post):%{__install_info}
%if %with_gui
BuildRequires: libgtk1-devel >= 1.2.10
#BuildRequires: libglib2-devel >= 2.1.5

View File

@ -1,13 +0,0 @@
diff -Nru autospec-1.5.0.orig//autospec.conf.in autospec-1.5.0/autospec.conf.in
--- autospec-1.5.0.orig//autospec.conf.in 2010-07-17 23:09:02.000000000 +0200
+++ autospec-1.5.0/autospec.conf.in 2010-08-02 13:10:25.213473018 +0200
@@ -134,7 +134,8 @@
# Cmnd_Alias DISTRO_CMD = /usr/bin/apt-get, /bin/rpm
# %packager ALL = NOPASSWD: DISTRO_CMD
# (of course your user must belong to the `packager' group)
-rpm_download_and_install="sudo apt-get --quiet --yes install"
+#rpm_download_and_install="sudo apt-get --quiet --yes install"
+rpm_download_and_install="sudo smart install --yes"
rpm_install="sudo rpm -hUv"
rpm_install_force="sudo rpm -hUv --force --nodeps"

View File

@ -1,12 +0,0 @@
--- pck-update.orig 2008-10-11 15:55:53.000000000 +0200
+++ pck-update 2008-10-11 15:56:00.000000000 +0200
@@ -3608,8 +3608,7 @@
[ "$rpm_install_force" ] || notify.error "\
\`rpm_install_force': "$"unset in the configuration files"
notify.debug "$rpm_install_force $pck2install_list"
- $rpm_install_force $pck2install_list ||
- notify.error $"cannot install the new rpm packages"
+ $rpm_install_force $pck2install_list
else
[ "$rpm_install" ] || notify.error "\
\`rpm_install': "$"unset in the configuration files"

View File

@ -1,12 +0,0 @@
--- libapse.lib.orig 2008-10-10 01:39:44.000000000 +0200
+++ libapse.lib 2008-10-10 01:50:06.000000000 +0200
@@ -429,7 +429,8 @@
unset APSE_LAST_VERSION
if [ "$last_version" ]; then
- APSE_LAST_VERSION="$last_version"
+ last_version="${last_version/-/.}"
+ APSE_LAST_VERSION="${last_version}"
notify.note $"\
last version of \`${NOTE}$specname${NORM}' found:"" \
\`${NOTE}$last_version${NORM}'"